﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 2002B: (1 year) VER VISA /9500+3Hd
DATE:                  2010-08-31 12:03:44
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       231
CONFIGURATION:         Datron 9500 (C5)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY, ZY
# 
#  Models covered:
#        TDS 2002B
# 
#  Source(s):
#        TDS1000B and TDS2000B Series Digital Storage Oscilloscopes
#        Service Manual, PN 071-1828-00
# 
#  Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub Select Failed Test Mode
#        Sub High Voltage Safety Warning
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS1000B/2000B USB Remote Interface Connection
#        Sub Tek TDS1000B/2000B Specifications
#        Sub Tek TDS1000B/2000B Self-Test VISA
#        Sub Tek TDS1000B/2000B Sig Path Comp Cal VISA
#        Sub Tek TDS1000B/2000B Select Channel VISA
#        Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
#        Sub Tek TDS1000B/2000B (1 yr) DCV Meas VISA /9500
#        Sub Tek TDS1000B/2000B (1 yr) Bandwidth VISA /9500
#        Sub Tek TDS1000B/2000B (1 yr) Trig Sens VISA /9500
#        Sub Tek TDS1000B/2000B (1 yr) Sample Rate VISA /9500
#        Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+2Hd
#        Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /9500
#        Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
#        Sub Datron 9500 Configuration Query IEEE
#        Sub Tek TDS1000B/2000B VER Required Equipment IEEE/9500
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        See "Sub Tek TDS1000B/2000B VER Required Equipment IEEE/9500"
# 
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :  26 min
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         60MH                         1Vpp           LS    S
  1.004  M9500                       CH2
  1.005  9500         60MH                         1Vpp           LS    S
  1.006  M9500                       CH3
  1.007  9500         60MH                         1Vpp           LS    S
  1.008  ENDIF

  1.009  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.010  ASK+           K

  1.011  IF           NOT(VERSIONCHECK("7.20Z"))
  1.012  END
  1.013  ENDIF

  1.014  CALL         Sub Display Copyright
  1.015  CALL         Sub High Voltage Safety Warning

  1.016  HEAD         PRELIMINARY INSTRUCTIONS
  1.017  CALL         Sub Select Failed Test Mode
  1.018  CALL         Sub Select Verification Method (No NTHROW)

  1.019  DISP         Ensure a minimum UUT warm-up time of at least
  1.019  DISP         10 minutes has been allowed to elapse, prior
  1.019  DISP         to beginning verification.

  1.020  HEAD         COMMUNICATION SETUP
  1.021  TARGET
  1.022  CALL         Sub Tek TDS1000B/2000B USB Remote Interface Connection
  1.023  VISA         *RST

  1.024  HEAD         UUT IDENTIFICATION
  1.025  CALL         Sub IEEE-488.2 Identification Query VISA
  1.026  MATH         @UUT_Model = "TDS 2002B"
  1.027  MATH         @UUT_Manufacturer = "Tektronix"
  1.028  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.029  JMPL         END                          @Abort

  1.030  CALL         Sub Tek TDS1000B/2000B Specifications

  1.031  MATH         @NumHeads = 3
  1.032  CALL         Sub Tek TDS1000B/2000B VER Required Equipment IEEE/9500
  1.033  JMPL         END                          @Abort

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    4.   DCV MEASUREMENT ACC(CH2)           DCV MEASUREMENT ACC(CH2)
#    5.   BANDWIDTH(CH1)                     BANDWIDTH(CH1)
#    6.   BANDWIDTH(CH2)                     BANDWIDTH(CH2)
#    7.   EDGE-TRIGGER SENSITIVITY(CH1)      EDGE-TRIGGER SENSITIVITY(CH1)
#    8.   EDGE-TRIGGER SENSITIVITY(CH2)      EDGE-TRIGGER SENSITIVITY(CH2)
#    9.   EXT EDGE-TRIGGER SENSITIVITY(CH1)  VERTICAL POSITION ACC(CH1)
#   10.   EXT EDGE-TRIGGER SENSITIVITY(CH2)  VERTICAL POSITION ACC(CH2)
#   11.   SAMPLE RATE AND DELAY TIME ACC     SAMPLE RATE AND DELAY TIME ACC
#   12.   VERTICAL POSITION ACC(CH1)         EXT EDGE-TRIGGER SENSITIVITY(CH1)
#   13.   VERTICAL POSITION ACC(CH2)         EXT EDGE-TRIGGER SENSITIVITY(CH2)

  1.034  CALL         Sub Tek TDS1000B/2000B Self-Test VISA
  1.035  JMPL         END                          @Abort
  1.036  CALL         Sub Tek TDS1000B/2000B Sig Path Comp Cal VISA
  1.037  JMPL         END                          @Abort

  1.038  MATH         @Chan = 1
  1.039  M9500                       CH1
  1.040  CALL         Sub Tek TDS1000B/2000B (1 yr) DCV MEAS VISA /9500

  1.041  MATH         @Chan = 2
  1.042  M9500                       CH2
  1.043  CALL         Sub Tek TDS1000B/2000B (1 yr) DCV MEAS VISA /9500

  1.044  MATH         @Chan = 1
  1.045  M9500                       CH1
  1.046  CALL         Sub Tek TDS1000B/2000B (1 yr) BANDWIDTH VISA /9500

  1.047  MATH         @Chan = 2
  1.048  M9500                       CH2
  1.049  CALL         Sub Tek TDS1000B/2000B (1 yr) BANDWIDTH VISA /9500

  1.050  MATH         @Chan = 1
  1.051  M9500                       CH1
  1.052  CALL         Sub Tek TDS1000B/2000B (1 yr) TRIG SENS VISA /9500

  1.053  MATH         @Chan = 2
  1.054  M9500                       CH2
  1.055  CALL         Sub Tek TDS1000B/2000B (1 yr) TRIG SENS VISA /9500
  1.056  JMPL         VERTICAL_POSITION

  1.057  LABEL        EXT_TRIG

  1.058  IF           @UsingPowerSplitter
  1.059  MATH         @Chan = 1
  1.060  M9500                       CH1
  1.061  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+1Hd
  1.062  MATH         @Chan = 2
  1.063  M9500                       CH1
  1.064  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+1Hd

  1.065  ELSE
  1.066  MATH         @Chan = 1
  1.067  M9500                       CH13
  1.068  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+2Hd
  1.069  MATH         @Chan = 2
  1.070  M9500                       CH23
  1.071  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+2Hd
  1.072  ENDIF

  1.073  JMPL         END

  1.074  LABEL        SAMPLE_RATE_DELAY_TIME
  1.075  MATH         @Chan = 1
  1.076  M9500                       CH1
  1.077  CALL         Sub Tek TDS1000B/2000B (1 yr) Sample Rate VISA /9500
  1.078  JMPL         EXT_TRIG

  1.079  LABEL        VERTICAL_POSITION
  1.080  MATH         @Chan = 1
  1.081  M9500                       CH1
  1.082  CALL         Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /9500

  1.083  MATH         @Chan = 2
  1.084  M9500                       CH2
  1.085  CALL         Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /9500
  1.086  JMPL         SAMPLE_RATE_DELAY_TIME

  1.087  LABEL        END

  1.088  IF           @Abort
  1.089  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.090  ELSE
  1.091  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.092  ENDIF

  1.093  VISA         *RST
  1.094  END
